borgbackup2 (2.0.0b18-2ubuntu1) questing; urgency=medium

  * fix running unit tests in autopkgtests (Closes: #1110195, LP: #2118916)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 31 Jul 2025 19:36:08 +0200

borgbackup2 (2.0.0b18-2) unstable; urgency=medium

  * Merge borgbackup 1.4.1-4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Jul 2025 12:45:37 +0200

borgbackup2 (2.0.0b18-1) unstable; urgency=medium

  * New upstream version 2.0.0b18
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Jun 2025 10:34:09 +0200

borgbackup2 (2.0.0b17-3) unstable; urgency=medium

  * Revert "Disable shell_completions_test.py, new and useless for now"
  * Add patch to fix testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 May 2025 19:26:26 +0200

borgbackup2 (2.0.0b17-2) unstable; urgency=medium

  * Drop file removed upstream in clean target
  * Disable shell_completions_test.py, new and useless for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 18:24:01 +0200

borgbackup2 (2.0.0b17-1) unstable; urgency=medium

  * Merge with 1.4.1-2
  * Allow backports for borghash and borgstore
  * Bump std-version to 4.7.2, no changes needed
  * Bump borgstore requirement
  * Also runtime-depend on correct borgstore
  * New upstream version 2.0.0b17
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 10:33:36 +0200

borgbackup2 (2.0.0b16-1) unstable; urgency=medium

  * New upstream version 2.0.0b16

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:15:43 +0200

borgbackup2 (2.0.0b15-1) unstable; urgency=medium

  * New upstream version 2.0.0b15
  * Add new python3-sphinxcontrib.jquery dependency
  * Update borgstore build-dependency
  * Update copyright years
  * Refresh mathjax.patch
  * drop 0323c2f987a646c2c8595f48e4f0394f27fd369c.patch and
    35d7bb316cae277b97c247c91662caf1d7d5a006.patch: upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 May 2025 21:30:49 +0200

borgbackup2 (2.0.0b14-4) unstable; urgency=medium

  * Add upstream patch to adapt for new borgstore 0.2.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Apr 2025 09:14:25 +0200

borgbackup2 (2.0.0b14-3) unstable; urgency=medium

  * Explictly runtime depend on borghash 0.1.0 due to non-retrocompatible
    change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Nov 2024 07:33:38 +0100

borgbackup2 (2.0.0b14-2) unstable; urgency=medium

  * debian/patches/0323c2f987a646c2c8595f48e4f0394f27fd369c.patch:
    - cherry-pick upstream change for borghash 0.1.0-1 compatiblity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Nov 2024 09:37:48 +0100

borgbackup2 (2.0.0b14-1) unstable; urgency=medium

  * New upstream version 2.0.0b14
  * Add a file to clean

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2024 12:26:29 +0100

borgbackup2 (2.0.0b13-2) unstable; urgency=medium

  * Fixup test files renaming

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 09:01:16 +0100

borgbackup2 (2.0.0b13-1) unstable; urgency=medium

  * New upstream version 2.0.0b13
  * Add new borghash dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2024 23:26:23 +0100

borgbackup2 (2.0.0b12-7) unstable; urgency=medium

  * Merge changes from borgbackup 1.4.0-3
    - Drop llfuse support, use pyfuse3 instead as default backend

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:05:29 +0200

borgbackup2 (2.0.0b12-6) unstable; urgency=medium

  * Team upload
  * Don't duplicate recommends in autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 13:04:03 +0200

borgbackup2 (2.0.0b12-5) unstable; urgency=medium

  * Fixup llfuse dependency, require at runtime both pyfuse3 and
    llfuse, not sure which one is the better,
    but borgbackup2 works with both. (LP: #2050515)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 12:57:40 +0200

borgbackup2 (2.0.0b12-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * switch also autopkgtests to fuse3
  * Fix previous upload, my git commit failed to commit the two
    chunks

  [ Colin Watson ]
  * Fix another chunk of simplesession test

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 09:22:15 +0200

borgbackup2 (2.0.0b12-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * cleanup mounts in case of test failure

  [ Colin Watson ]
  * Fixup test failure on fuse simplesession due to wrong
    path on compare/test commands (Closes: #1068563)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Oct 2024 16:34:24 +0200

borgbackup2 (2.0.0b12-2) unstable; urgency=medium

  * Add some more clean targets
  * Allow stderr messages on testsuite, upstream said borg logging
    defaults to stderr
  * Fixup a fuse test failure due to wrong syntax

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 13:30:39 +0200

borgbackup2 (2.0.0b12-1) unstable; urgency=medium

  * New upstream version 2.0.0b12
  * Update clean file
  * Allow stderr for autopkgtest, one print is done there
    (uptream informed)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 12:02:46 +0200

borgbackup2 (2.0.0b11-3) unstable; urgency=medium

  * Merge entry for borgbackup 1.4.0-2
    - Drop pkg_resources runtime dependency (Closes: #1083319)
  * Update testsuite for deprecated rcreate/rlist commands

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:51:32 +0200

borgbackup2 (2.0.0b11-2) unstable; urgency=medium

  * Add borgstore new dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 12:37:01 +0200

borgbackup2 (2.0.0b11-1) unstable; urgency=medium

  * New upstream version 2.0.0b11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 10:45:19 +0200

borgbackup2 (2.0.0b9-2) unstable; urgency=medium

  * Revert "Require msgpack 1.1.0"
    - this is the high version allowed, not the lower version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 15:05:26 +0200

borgbackup2 (2.0.0b9-1) unstable; urgency=medium

  * Update signing-key
  * Update changelog file
  * Merge with borgbackup 1.4.0-1
  * New upstream version 2.0.0b9
  * Require msgpack 1.1.0
  * Bump std-version to 4.7.0
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 09:05:09 +0200

borgbackup2 (2.0.0b8-2) unstable; urgency=medium

  * Update build_usage and build_man make.py code location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 11:42:24 +0100

borgbackup2 (2.0.0b8-1) unstable; urgency=medium

  * New upstream version 2.0.0b8
  * Refresh patch 0001-Remove-codecov.io-and-travis-ci.org-badges.patch
  * Drop patches part of upstream codebase:
    - 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - 8021.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 09:47:27 +0100

borgbackup2 (2.0.0b7-2) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Cherry-pick upstream changes:
  * 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - pyproject.toml: exclude source files which have been compiled
  * cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - allow msgpack 1.0.7
  * 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - allow platformdirs 4
  * 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - use and require cython3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jan 2024 09:43:19 +0100

borgbackup2 (2.0.0b7-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 2.0.0b7
  * Refresh patches
  * Drop upstream patches:
    - lower_platformdirs.patch
    - 0001-Make-timestamps-in-manual-pages-reproducible.patch
    - 223d189ff7c6d684eb147b404fe2f84ed6742cbd.patch
  * Cherry-pick upstream pr 8021.patch
  * Add two missing files to fix testsuite
  * Exclude two new tests, calling borg binary directly

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jan 2024 11:05:55 +0100

borgbackup2 (2.0.0b5-3) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Add new files to clean target (Closes: #1043956)
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 18:01:46 +0100

borgbackup2 (2.0.0b5-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload (salsa.d.o/debian namespace)
  * Make pyfuse3 a suggested only package
  * Add patch to allow platformdirs up to version 5 (Closes: #1057197)
  * Refresh patches
  * Update upstream signing key from 1k to 4k
  * Bump copyright years
  * Bump std-version
  * Merge changes from borgbackup 1.2.4-3

  [ Simon Chopin ]
  * d/p/manifest-data-files: fix FTBFS due to missing data files
    (Closes: 1052875, #2039423)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 17:11:02 +0100

borgbackup2 (2.0.0b5-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Prominently explain that we package a beta release
  * New upstream version 2.0.0b5
    + Drop patches fixdocs.patch and bash-completion-update.patch
    + Rebase patches
    + Require python3-platformdirs (>= 2.6)

  [ Vagrant Cascadian ]
  * Make the build reproducible (Closes: #1029807)

  [ Helmut Grohne ]
  * Only run some of the tests under fakeroot to avoid flakiness

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 01 Mar 2023 12:24:53 +0100

borgbackup2 (2.0.0b4-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve package documentation. Reported by Enrico Zini.

  [ Enrico Zini ]
  * Fixed unintentional glitch in README.source
  * Added comments to document the intentions of debian/rules snippets

  [ Helmut Grohne ]
  * Actually export TZ for the test target. Thanks to Enrico Zini.
  * Upload to unstable.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 20 Jan 2023 11:02:46 +0100

borgbackup2 (2.0.0b4-2) experimental; urgency=medium

  * Recheck copyright of non-updated files. Thanks to Thorsten Alteholz.
  * Update bash completion for borg 2.x
  * Add borgbackup-is-borgbackup2 package. Thanks to Scott Kitterman.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 18 Jan 2023 13:12:47 +0100

borgbackup2 (2.0.0b4-1) experimental; urgency=medium

  * New upstream version 2.0.0b4 (Closes: #1028467)
  * gbp: change debian branch to debian/unstable
  * Change source package name to allow coinstallability with old version
  * add default salsa-ci.yml
  * Rename binary packages to add version suffix
  * Declaratively enable debhelper addons
  * Rebase second privacy patch
  * Update Vcs location
  * Stop forcing a SPHINXBUILD
  * Install the borg module on a non-standard path
  * Update Build-Depends for borg 2.x
  * Update Maintainer and Uploaders
  * Drop override_dh_clean
  * Rebuild documentation from source
  * Drop commented out code about vendored msgpack
  * Update copyright file
  * Update autopkgtests
  * Update debian/clean
  * Another patch for lintian's privacy tag
  * Avoid referencing an external mathjax
  * Fix documentation referencing a deleted command
  * Rename binaries adding a version suffix
  * Force timezone during test suite
  * Skip unnecessary rebuild for testsuite
  * Rewrite debian/README.Debian and delete obsolete debian/NEWS

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 16 Jan 2023 09:32:00 +0100

borgbackup (1.4.1-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Split the unit autopkgtest into a fuse one and one without.

  [ Helmut Grohne and Nicholas D Steeves]
  * Symlink debian/tests/unit-nofuse -> unit.  This autopkgtest leverages
    upstream's support to conditionally skip tests when dependencies are
    missing.  Compare the delta between unit and unit-nofuse's Depends to
    learn what may be required to create -nofuse autopkgtest variants for
    other packages.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Jul 2025 19:21:34 -0400

borgbackup (1.4.1-3) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Update debian/NEWS: Upstream introduced less alarming and easier to
    follow migration instructions in 1.2.8, and this is their officially
    supported procedure.
  * Git shortlog of Debian-facing upstream changes between upstream's 1.4.0 and
    1.4.1, (for trixie unblock):

    ecf2dfa17 build_usage / build_man [docs]
    1bed2155d update CHANGES
    3880c7e12 implement padme chunk size obfuscation (SPEC 250), fixes #8705
    49fa6c476 update CHANGES
    aba21ee18 freebsd: fix nfs4 acl processing, fixes #8756
    dddb6b155 fix remote repository exception handling / exit codes, fixes #8631
    0b6150c74 Fix paper key import error message
    11ac0cdc6 docs: theme fixes
    46c44b9d9 docs: fix template to support search result preview
    ecd797611 docs: add layout.html template from guzzle_sphinx_theme 0.7.11
    31784547b work around sudden failure of sphinx ini lexer
    8b1840640 Clearer language
    a21f08ac6 update CHANGES
    8ffd26300 set archive timestamps in local timezone
    3a932c587 Revert "Fix hourly prune test failure due to non-full-hour
              timezone"
    570c97eb1 run prune tests in specific full hour timezone
    7cf831609 quickfix to disallow running borg with assertions switched off
    8e6dc52a8 Fix #8522: Add {unixtime} placeholders (1.4-maint) (#8675)
    a1a028cef FAQ: Why are backups slow on a Linux server that is a member of a
              windows domain?
    fc0c799db docs: modify docs for automated backup to append to SYSTEMD_WANTS
              rather than overwrite
    5634e49fe docs: fix udev rule priority in automated-local.rst
    15ec434b5 docs: clarify requirements when using command line options with
              special characters within a shell #8628
    54e526cfc fix security policy: 1.4.x is security supported
    21c3b8688 it's 2025
    301aacecd docs: remove 3rd_party licenses
    cda01c7ba docs: add FAQ entry about pure-python msgpack warning, fixes #8323
    16e4b3087 binary readme: first check faq and existing issues
    d3b23b0e6 update CHANGES
    2dfb5d9a0 use Cython 3.0.11
    7d9028a22 mount docs: apply jdchristensen's suggestion, better phrasing.
    f0bd01b98 FAQ: Why is backing up an unmodified FAT filesystem slow on Linux?
    88ce37b73 update CHANGES
    a6dc8c52d check: more consistent messaging considering --repair, fixes #8533
    69151c7a1 support and test on Python 3.13
    4f794bbee config: reject additional_free_space < 10M, fixes #6066
    f0564036e yes: deal with UnicodeDecodeError in input(), fixes #6984
    09745d22f compact: support --dry-run (do nothing), fixes #8300
    e74c91285 config: fix acceptance of storage_quota 0, fixes #8499
    095b43ba3 docs: update install docs, nothing bundled anymore! fixes #8342.
    66e92636d Clarify  excluded and included flags for dry-run in borg the docs
    8fe9c5ed6 docs: Small changes regarding compression
    05837fbeb docs/FAQ: Clean up entries regarding SSH settings
    2230932c0 docs: borg/borgfs detects internally under which name it was
              invoked, fixes #8207
    cbbfc35db docs: mount: document on-demand loading, perf tips, fixes #7173
    cf472302d docs: better link modern return codes, fixes #8370
    272033121 Do not assert on diff if hard link sources are not found due to
              exclusions.
    2c1862007 fix WORKAROUNDS=authenticated_no_key support for archive TAM
              authentication, fixes #8400
    4f110f8bd Update repository URLs in docs to use new syntax Fixes #8361
    81cb1cdc5 Add quarterly pruning strategy. (#8337)
    938e144f8 Ensure that 0B changes are hidden from text diffs too.
    f7673e3f0 Add test to make sure 0-added,0-removed modified changes aren't in
              JSON output.
    6e9857b3e Remove 0-added,0-removed modified entries from JSON output.
    54c902474 docs: align /etc/backups path in all references
    adf2d8c04 remove outdated comment, fixes #4240
    85d7bdd75 improve borg check --repair healing tests, see #8302
    924952fcd Fix backwards compatibility of old chunks.archive.d file behavior
    f3c1444a4 Update docs for BORG_USE_CHUNKS_ARCHIVE
    0575f8758 Add BORG_USE_CHUNKS_ARCHIVE option
    0bd41ba65 Automatic rebuild cache on exception, fixes #5213 (#8257)
    b379202be docs: fix typo (backport #8272)

  [ Lee Garrett ]
  * Add myself to Uploaders.
  * Add missing end of sentence punctuation in the long description.
  * Update metadata (Vcs-Git/gbp.conf) to point to trixie branch.
  * Add unit tests to autopkgtests.

  [ Nicholas D Steeves ]
  * Additionally enable autopkgtest-pkg-python (see Debian Python Team for why
    one should use both).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 28 Jun 2025 14:18:42 -0400

borgbackup (1.4.1-2) unstable; urgency=medium

   * Add fix from borgbackup2
   * Add new python3-sphinxcontrib.jquery dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 16:45:55 +0200

borgbackup (1.4.1-1) unstable; urgency=medium

  * New upstream release 1.4.1
  * Bump compyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:24:09 +0200

borgbackup (1.4.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add fixes for fakeroot tests from borgbackup2 (Closes: #1100201)

  [ Helmut Grohne ]
  * Force timezone during test suite
  * Skip unnecessary rebuild for testsuite
  * Actually export TZ for the test target. Thanks to Enrico Zini.
  * Only run some of the tests under fakeroot

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Mar 2025 12:34:44 +0100

borgbackup (1.4.0-4) unstable; urgency=medium

  * Fixup clean file (Closes: #1043841)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2024 07:53:32 +0200

borgbackup (1.4.0-3) unstable; urgency=medium

  * Bump std-version to 4.7.0
  * Drop llfuse support
  * Enable again pyfuse3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:03:51 +0200

borgbackup (1.4.0-2) unstable; urgency=medium

  * Drop pkg_resources, importlib is already used instead (Closes: #1083318)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:46:32 +0200

borgbackup (1.4.0-1) unstable; urgency=medium

  * Bump copyright years
  * Drop copyright entries for removed files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 00:17:05 +0200

borgbackup (1.2.8-1) unstable; urgency=medium

  * New upstream release 1.2.8
  * Update copyright years
  * Update upstream signing key

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Apr 2024 15:51:34 +0200

borgbackup (1.2.7-2) unstable; urgency=medium

  * Make pyfuse3 a suggested only package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Dec 2023 18:03:27 +0100

borgbackup (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch 0001*

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:46:03 +0100

borgbackup (1.2.6-2) unstable; urgency=medium

  * Rename NEWS file
  * Add back 7793.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 14:37:27 +0200

borgbackup (1.2.6-1) unstable; urgency=medium

  * New upstream release
    - fix for 1.2.5 regression
  * Drop patch 7793, use right tarball instead

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 23:46:14 +0200

borgbackup (1.2.5-4) unstable; urgency=medium

  * Revert "Add fuse3 dependency"
  * Reupload with also paperkey.html file to fix testsuite
  * Drop old NEWS file
  * Mention in NEWS.Debian compact (Closes: #1021840)
  * Mention in NEWS.Debian CVE-2023-36811 (Closes: #1050880)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 09:16:19 +0200

borgbackup (1.2.5-3) unstable; urgency=medium

  * debian/patches/7793.patch:
    - test build to add attic.tar.gz to pybuild directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 08:09:43 +0200

borgbackup (1.2.5-2) unstable; urgency=medium

  * Minimize signing key via gpg --armor --export --export-options
    export-minimal,export-clean
  * Add fuse3 dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 19:14:26 +0200

borgbackup (1.2.5-1) unstable; urgency=high

  * New upstream release
    - Fix for CVE-2023-36811

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 17:33:11 +0200

borgbackup (1.2.4-3) unstable; urgency=medium

  * Add back fuse3 recommendation to unbreak docker images.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2023 18:50:50 +0200

borgbackup (1.2.4-2) unstable; urgency=medium

  * Drop old llfuse support, now pyfuse3 is used
    instead (suggested on irc)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Aug 2023 10:59:23 +0200

borgbackup (1.2.4-1) unstable; urgency=medium

  * Update upstream signing key from 1k to 4k
  * New upstream release
  * Update copyright years
  * Bump std-version to 4.6.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 15:45:19 +0100

borgbackup (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 10:17:45 +0100

borgbackup (1.2.2-2) unstable; urgency=medium

  * Add python3-pytest-benchmark to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Sep 2022 16:31:41 +0200

borgbackup (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to generate fixed _version.py file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 09:50:41 +0200

borgbackup (1.2.1-2) unstable; urgency=medium

  * Add patch to make sure we always correctly regenerate
    _version.py file (Closes: #1015052)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 19:03:13 +0200

borgbackup (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 20:17:00 +0200

borgbackup (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches now upstream:
    - 33519263ac3532d909863f4864fef23aa6f6b381,
    - 5937
    - system-msgpack (this one was commented but its now not needed anymore)
  * Refresh patches
  * Bump compat level to 13
  * Bump std-version to 4.6.0, no changes required
  * Add new dateutil dependency needed for tests
  * Add msgpack and pkgconfig python modules, needed for build
  * Drop version constraints, now already satisfied since o-o-stable
  * Add new python3-pyfuse3 dependency, meant to deprecate llfuse
  * Update copyright years
  * Add new runtime suggestion of pyfuse3
  * Skip another test needing fuse
  * Update copyright file for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Feb 2022 22:45:33 +0100

borgbackup (1.1.17-2) unstable; urgency=medium

  * debian/patches/5937.patch
    - cherry-pick upstream change to use system/bundled xxhash
      based on detection method.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 14:17:07 +0100

borgbackup (1.1.17-1) unstable; urgency=medium

  * New upstream release
  * Move to python3-packaging
  * debian/patches/33519263ac3532d909863f4864fef23aa6f6b381.patch:
    - cherry-pick upstream change to get rid of distutils.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jul 2021 12:27:31 +0200

borgbackup (1.1.16-3) unstable; urgency=medium

  * Demote fuse and python3-llfuse to Recommends, to avoid them
    being installed on systems where borg mount is not needed
    (Closes: #989271).
    Thanks Helmut Grohne for the patch and the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 May 2021 11:08:15 +0200

borgbackup (1.1.16-2) unstable; urgency=medium

  * Add fonts-liberation runtime dependency on -doc package to
    fix broken symlink.
    - Thanks Andreas Beckmann <anbe@debian.org> for the bug
      report and the fix! (Closes: #988679)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 May 2021 12:32:53 +0200

borgbackup (1.1.16-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release

  [ Andrej Shadura ]
  * Commit patch from Helmut

  [ Helmut Grohne ]
  * Annotate test dependencies <!nocheck> (Closes: #982818).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Mar 2021 17:51:49 +0200

borgbackup (1.1.15-3) unstable; urgency=medium

  * Tighteen xxhash dependency to make sure a recent enough
    version is found and used for build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2021 09:31:35 +0100

borgbackup (1.1.15-2) unstable; urgency=medium

  * Add patch to make sure system libxxhash is used
  * Delete bundled libraries during clean to avoid them being used by mistake

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Jan 2021 11:32:21 +0100

borgbackup (1.1.15-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Dec 2020 23:09:39 +0100

borgbackup (1.1.14-3) unstable; urgency=medium

  [ James Valleroy ]
  * d/upstream/metadata: Add Donation field

  [ Gianfranco Costamagna ]
  * Add patch to add a regression test for the corruption index bug

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 10:15:02 +0100

borgbackup (1.1.14-2) unstable; urgency=medium

  * Add upstream patch to use system xxhash library
  * Add new libxxhash-dev dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Oct 2020 19:40:09 +0200

borgbackup (1.1.14-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Oct 2020 17:44:38 +0200

borgbackup (1.1.13-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Wrap long lines in changelog entries: 0.28.2-2.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jul 2020 08:11:24 +0200

borgbackup (1.1.11-5) unstable; urgency=medium

  * Use bundled msgpack for now (Closes: #953989)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Mar 2020 13:06:46 +0100

borgbackup (1.1.11-4) unstable; urgency=medium

  * Bump also in helper.py (Closes: #953989)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Mar 2020 12:08:26 +0100

borgbackup (1.1.11-3) unstable; urgency=medium

  * Bump msgpack dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Mar 2020 00:35:32 +0100

borgbackup (1.1.11-2) unstable; urgency=medium

  [ Andrej Shadura ]
  * Don’t compress fonts to ensure they’re loadable
  * Replace bits of Bootstrap with symlinks into libjs-bootstrap

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Mar 2020 08:51:19 +0100

borgbackup (1.1.11-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * Maintain in the Collective.

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Bump std-version to 4.5.0, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Mar 2020 18:31:50 +0100

borgbackup (1.1.10-2) unstable; urgency=medium

  * Fixup wrong installation directory for zsh completions (LP: #1827232)
    - thanks Moritz J for the bug report and fix!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2019 10:08:27 +0200

borgbackup (1.1.10-1) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jul 2019 09:37:26 +0200

borgbackup (1.1.10-1~exp2) experimental; urgency=medium

  * Reinstantiate the system msgpack dependency,
  * Force removal of bundled msgpack version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2019 15:23:44 +0200

borgbackup (1.1.10-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #929704)
  * Bump compat level to 12
  * Update copyright file
  * Add patch to use system msgpack version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 May 2019 17:18:11 +0200

borgbackup (1.1.9-2) unstable; urgency=medium

  * Fix two lintian warnings:
    - remove old x-python-version
    - debian/NEWS: stop using asterisk

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Feb 2019 12:38:19 +0100

borgbackup (1.1.9-1) unstable; urgency=high

  * New upstream release.
    - severity: high due to upstream security fixes (no CVE for now)
  * Make VCS field canonical
  * Honour notest profile
  * Bump std-version to 4.3.0, no changes required.
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Feb 2019 10:15:09 +0100

borgbackup (1.1.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Gianfranco Costamagna ]
  * New upstream release
  * Bump std-version to 4.2.1, no changes required.

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:41:52 +0200

borgbackup (1.1.7-1) unstable; urgency=medium

  * New upstream release
  * Bump std-version to 4.2.0.1, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Aug 2018 17:28:34 +0200

borgbackup (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop msgpack patch: upstream.
  * Update VCS fields for salsa switch
  * Bump std-version to 4.1.4.1, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jun 2018 09:57:44 +0200

borgbackup (1.1.5-1) unstable; urgency=medium

  * New upstream release
  * patch refresh
  * Allow any msgpack versions
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Apr 2018 18:09:29 +0200

borgbackup (1.1.4-3) unstable; urgency=medium

  * Add python3-distutils to build-dependencies,
    needed now since this is not an indirect dependency anymore
    (Closes: #893774) thanks Mikko Rasa for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Mar 2018 18:22:57 +0100

borgbackup (1.1.4-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Team upload.
  * Switch to compat level 11
  * Use Rules-Requires-Root: no
  * Mark doc package as multiarch foreign
  * Move documentation to usr/share/doc/borgbackup.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 30 Jan 2018 22:14:58 +0100

borgbackup (1.1.4-1) unstable; urgency=medium

  * New upstream release.
    - Add new depenendecy on libzstd
  * Bump std-version to 4.1.3, no changes required
  * Update copyright file
  * Drop 3445 patch, upstream
  * Patch refresh
  * Move bash completion script to usr/share, to make lintian happy

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Jan 2018 11:23:02 +0100

borgbackup (1.1.3-3) unstable; urgency=critical

  * debian/patches/3445.patch:
    - fix data loss with check --repair (Closes: #884720)
  * Bump std-version to 4.1.2, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:50:46 +0100

borgbackup (1.1.3-2) unstable; urgency=medium

  * Exclude two new fuse tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Nov 2017 08:28:46 +0100

borgbackup (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patches merged/cherry-picked from upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Nov 2017 23:43:42 +0100

borgbackup (1.1.2-5) unstable; urgency=medium

  * debian/patches/3355.patch:
    - upstream patch to avoid installation pollution

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Nov 2017 19:40:14 +0100

borgbackup (1.1.2-4) unstable; urgency=medium

  * Avoid installation pollution of useless files (Closes: #882201)
    thanks Piotr Jurkiewicz for the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Nov 2017 16:36:05 +0100

borgbackup (1.1.2-3) unstable; urgency=medium

  * debian/patches/af29c42d73d81868317ad25a2eba9fc902803055.patch:
    - followup fix for arm64 regression

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Nov 2017 12:33:58 +0100

borgbackup (1.1.2-2) unstable; urgency=medium

  * debian/patches/81aad75b78c14f9a2cb82e2e116be4faa3ddb483.patch:
    - upstream fix for armhf misalignments (with newer python).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Nov 2017 10:09:42 +0100

borgbackup (1.1.2-1) unstable; urgency=medium

  * New upstream release.
    - Add completion scripts (Closes: #869381)
  * Update copyright for new scripts.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2017 15:51:48 +0100

borgbackup (1.1.1-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Patch refresh
  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2017 09:01:19 +0200

borgbackup (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright
  * Add libb2-dev dependency
  * Bump std-version to 4.1.1, no changes required
  * switch copyright url in secure mode
  * Install all manpages
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Oct 2017 16:44:03 +0200

borgbackup (1.0.11-4) unstable; urgency=medium

  * Switch priority to optional, extra is deprecated in new policy document.
  * Update std-version to 4.1.0
  * Drop msgpack strict dependency, already satisfied in jessie-bpo+
  * Enable full hardening

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2017 16:57:53 +0200

borgbackup (1.0.11-3) unstable; urgency=medium

  * Forcing utf-8 only in test target

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Aug 2017 09:00:51 +0200

borgbackup (1.0.11-2) unstable; urgency=medium

  * Try to force UTF-8 to fix build failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Aug 2017 19:52:58 +0200

borgbackup (1.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat level to 10
  * Bump std-version to 4.0.0
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Aug 2017 17:57:14 +0200

borgbackup (1.0.10-3) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2017 11:25:05 +0200

borgbackup (1.0.10-2) experimental; urgency=medium

  * Add fuse dependency (Closes: #855812)
    - thanks Magnus Nord for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Feb 2017 23:54:34 +0100

borgbackup (1.0.10-1) experimental; urgency=medium

  * New upstream release
  * Drop the typo patch, upstreamed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Feb 2017 19:22:11 +0100

borgbackup (1.0.9-1) unstable; urgency=high

  * New upstream release (Closes: #848939).
    - security issues fixed
  * Drop the two upstream cherry-picks

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 08:00:25 +0100

borgbackup (1.0.8-4) unstable; urgency=medium

  * d/p/1843.patch
    - fix testsuite errors with older environments

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Nov 2016 19:30:30 +0100

borgbackup (1.0.8-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/9e760a69a29f7ebc055c4adf6f81b0a4de6aba52.patch:
    - cherry-pick upstream patch for testsuite failure
  * Fix msgpack version for backports.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Nov 2016 18:16:16 +0100

borgbackup (1.0.8-2) unstable; urgency=medium

  [ Matteo Cypriani ]
  * Rework description to avoid attic references, because
    it has been removed from Debian (Closes: #844764)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Nov 2016 11:54:41 +0100

borgbackup (1.0.8-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Move the llfuse dependency to a real one
    (cfr upstream issue 1726)

  [ Danny Edel ]
  * New upstream release
    * refresh patches
    * d/rules: compile cython in-place for dh_auto_test

 -- Danny Edel <debian@danny-edel.de>  Sat, 29 Oct 2016 18:32:15 +0200

borgbackup (1.0.7-1) unstable; urgency=high

  * New upstream release, fixing security issues.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Aug 2016 21:52:22 +0200

borgbackup (1.0.7~rc2-2) unstable; urgency=low

  * Remove useless test, imported by error on pypi tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Aug 2016 12:42:44 +0200

borgbackup (1.0.7~rc2-1) unstable; urgency=low

  * New upstream release candidate.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 14 Aug 2016 22:54:37 +0200

borgbackup (1.0.7~rc1-1) unstable; urgency=low

  * New upstream release candidate (Closes: #831658)
  * Add a simple Debian/tests entry without fuse

 -- Danny Edel <debian@danny-edel.de>  Sun, 07 Aug 2016 09:33:42 +0200

borgbackup (1.0.6-2) unstable; urgency=medium

  * Disable test_fuse check

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Jul 2016 13:08:10 +0200

borgbackup (1.0.6-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release, drop cherry-pick patches.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Jul 2016 11:58:09 +0200

borgbackup (1.0.5-3) experimental; urgency=medium

  * debian/patches/98530fffd3f81977a03c838167921d0d58f697c4.patch:
  * debian/patches/199285b2ba74a9ab789cefb8ec3e2fde1f269a40.patch:
    - try to fix failures on hppa and hurd-i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Jul 2016 12:48:21 +0200

borgbackup (1.0.5-2) unstable; urgency=medium

  * debian/patches/0fb6cb8417e3f84afc03fbfaef3cb7ca6212e61b.patch:
    - first cherry-pick to fix armhf build failure on yakkety

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Jul 2016 00:06:40 +0200

borgbackup (1.0.5-1) unstable; urgency=medium

  [ Danny Edel ]
  * Refresh patches
  * New patch: OpenSSL-1.1 compatibility (Closes: #828251)
    * Backported from upstream Merge Request #1193

  [ Gianfranco Costamagna ]
  * New upstream release
    - drop openssl patch, upstream

 -- Danny Edel <debian@danny-edel.de>  Mon, 27 Jun 2016 00:37:31 +0200

borgbackup (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Mention the append-only mode in package description
  * New paragraph in README.source about upstream
    tarball integration, by Daniel Reichelt

 -- Danny Edel <debian@danny-edel.de>  Mon, 23 May 2016 10:35:08 +0200

borgbackup (1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - drop 0005-reproducible-doc-for-ProgressIndicator.patch,
      upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Apr 2016 14:37:12 +0200

borgbackup (1.0.1-1) unstable; urgency=medium

  * New upstream release.
    - drop dd6a79553683135c3eaf3bf299ca6ccd1dcc4b3f.patch,
      0004-Merge-pull-request-736*.patch: upstream.
  * Bump std-version to 3.9.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Apr 2016 17:48:09 +0200

borgbackup (1.0.0-4) unstable; urgency=medium

  * Drop warning about being in development
  * Update maintainer email address

 -- Danny Edel <debian@danny-edel.de>  Tue, 05 Apr 2016 19:22:23 +0200

borgbackup (1.0.0-3) unstable; urgency=medium

  * Make package build reproducibly (Closes: #816788)
    * Backport Pullrequest #736 for archive.py
    * Add new patch for helpers.py, forwarded upstream as PR #746

 -- Danny Edel <mail@danny-edel.de>  Mon, 14 Mar 2016 10:12:57 +0100

borgbackup (1.0.0-2) unstable; urgency=high

  [ Gianfranco Costamagna ]
  * Drop python-llfuse version constraint.

  [ Danny Edel ]
  * Restrict llfuse version to 1.x (llfuse now adopted semantic versioning, so
    the upcoming 2.0 will break API again)
    - debian/patches/dd6a79553683135c3eaf3bf299ca6ccd1dcc4b3f.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Mar 2016 11:17:10 +0100

borgbackup (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2016 09:30:37 +0100

borgbackup (1.0.0~rc2-3) unstable; urgency=medium

  * d/changelog: fix Vcs-Git URL

 -- Danny Edel <mail@danny-edel.de>  Fri, 04 Mar 2016 12:13:29 +0100

borgbackup (1.0.0~rc2-2) unstable; urgency=medium

  * d/tests: explicitly depend on fuse and full virt

 -- Danny Edel <mail@danny-edel.de>  Wed, 02 Mar 2016 12:19:15 +0100

borgbackup (1.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * Give python3-llfuse dependency as "< 1.0", as in setup.py
  * Add an autopackagetest to check the fuse integration

 -- Danny Edel <mail@danny-edel.de>  Wed, 02 Mar 2016 09:08:27 +0100

borgbackup (1.0.0~rc1-3) unstable; urgency=medium

  * docs: Place link to screencast at the top
  * Activate testsuite (Closes: #815564)
  * Add fakeroot to build-dependencies, used in testsuite run.

 -- Danny Edel <mail@danny-edel.de>  Mon, 22 Feb 2016 16:23:25 +0100

borgbackup (1.0.0~rc1-2) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Feb 2016 15:45:05 +0100

borgbackup (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump std-version to 3.9.7, no changes required.
  * Bump watch version to 4, no changes required.

 -- Danny Edel <mail@danny-edel.de>  Thu, 11 Feb 2016 21:48:59 +0100

borgbackup (0.30.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop spelling errors patch: upstream
    - rebase patches.
  [ Danny Edel ]
  * fix build by following upstream manpage name change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Jan 2016 09:14:42 +0100

borgbackup (0.29.0-4) unstable; urgency=medium

  * Add python3-sphinx-rtd-theme b-d, needed for backports.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2016 13:58:44 +0100

borgbackup (0.29.0-3) unstable; urgency=medium

  * Split README into README.Debian and README.source, for the end-user
    and other developers, respectively.
  * Update README.Debian to mention compatibility issues (Closes: #809136)
  * Patch: Fix lintian-detected spelling errors in manpage
  * Debcheck-detected quality issues:
    * Adjust priority to "extra" because of lz4 dependency
    * Do not recommend nonexistent package python3-llfuse on hurd

 -- Danny Edel <mail@danny-edel.de>  Fri, 15 Jan 2016 09:03:12 +0100

borgbackup (0.29.0-2) unstable; urgency=medium

  * Update package description (cfr: #809136)
    - mentioning API incompatibility between versions.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Dec 2015 11:00:59 +0100

borgbackup (0.29.0-1) unstable; urgency=medium

  * New upstream version, patch refresh.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Dec 2015 11:25:26 +0100

borgbackup (0.28.2-2) unstable; urgency=medium

  [ Marc Haber ]
  * Update setuptools-scm build dependency with version constraint
    (Closes: #807249)

  [ Danny Edel ]
  * Clean generated files, to allow building twice in a row (Closes: #806803)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Dec 2015 12:10:50 +0100

borgbackup (0.28.2-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream version.

  [ Danny Edel ]
  * Make manpage from upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Nov 2015 09:56:51 +0100

borgbackup (0.28.1-2) unstable; urgency=low

  [ Danny Edel ]
  * Move python3-sphinx into Build-Depends (Closes: #804943)

  [ Gianfranco Costamagna ]
  * Simplify rules file by removing BUILDFLAGS (already included in
    this compat level, thanks <mattia>
  * Update manpage
  * Add pkg_resources to runtime dependencies
    - https://github.com/borgbackup/borg/issues/406.

 -- Danny Edel <mail@danny-edel.de>  Fri, 13 Nov 2015 07:48:05 +0100

borgbackup (0.28.1-1) unstable; urgency=low

  * New upstream version
  * Remove patch rm-github-ribbons
  * README.rst: Replace img src with text-based link

 -- Danny Edel <mail@danny-edel.de>  Sun, 08 Nov 2015 08:45:46 +0100

borgbackup (0.27.0-1) unstable; urgency=low

  [ Marc Haber ]
  * initial version (Closes: #792096)
  * packaging taken from attic by Caitlin Matos
  * this package is not intended to be uploaded to Debian until a
    maintainer team of at least two active persons has formed

  [ Danny Edel ]
  * Upstream version bump

  [ Gianfranco Costamagna ]
  * Upload to unstable
  * Add a -doc package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Oct 2015 10:33:46 +0200
